Create PlanGroup
Create a new PlanGroup. This endpoint creates a new PlanGroup within the specified organization.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Body
The name of the PlanGroup.
1 - 200Currency code for the PlanGroup (For example, USD).
3The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The short code representing the PlanGroup.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$The minimum spend amount for the PlanGroup.
x >= 0Description of the minimum spend, displayed on the bill line item.
200Standing charge amount for the PlanGroup.
x >= 0Description of the standing charge, displayed on the bill line item.
200A boolean flag that determines when the standing charge is billed. This flag overrides the setting at Organizational level for standing charge billing in arrears/in advance.
- TRUE - standing charge is billed at the start of each billing period.
- FALSE - standing charge is billed at the end of each billing period.
A boolean flag that determines when the minimum spend is billed. This flag overrides the setting at Organizational level for minimum spend billing in arrears/in advance.
- TRUE - minimum spend is billed at the start of each billing period.
- FALSE - minimum spend is billed at the end of each billing period.
Optional. This PlanGroup is created as bespoke for the associated Account with this Account ID.
36Optional. Product ID to attribute the PlanGroup's minimum spend for accounting purposes.
Optional. Product ID to attribute the PlanGroup's standing charge for accounting purposes.
Response
Returns the created PlanGroup
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The name of the PlanGroup.
The short code representing the PlanGroup.
Standing charge amount for the PlanGroup.
Description of the standing charge, displayed on the bill line item.
The minimum spend amount for the PlanGroup.
Description of the minimum spend, displayed on the bill line item.
Currency code for the PlanGroup (For example, USD).
A boolean flag that determines when the standing charge is billed. This flag overrides the setting at Organizational level for standing charge billing in arrears/in advance.
- TRUE - standing charge is billed at the start of each billing period.
- FALSE - standing charge is billed at the end of each billing period.
A boolean flag that determines when the minimum spend is billed. This flag overrides the setting at Organizational level for minimum spend billing in arrears/in advance.
- TRUE - minimum spend is billed at the start of each billing period.
- FALSE - minimum spend is billed at the end of each billing period.
Optional. This PlanGroup was created as bespoke for the associated Account with this Account ID.
Optional. Product ID to attribute the PlanGroup's minimum spend for accounting purposes.
Optional. Product ID to attribute the PlanGroup's standing charge for accounting purposes.
The date and time (in ISO 8601 format) when the PlanGroup was first created.
The date and time (in ISO 8601 format) when the PlanGroup was last modified.
The unique identifier (UUID) for the user who created the PlanGroup.
The unique identifier (UUID) for the user who last modified the PlanGroup.